<?php
//css、js読み込み
function rindou_scripts() {
    wp_enqueue_style( 'rindou', get_stylesheet_uri() );    
    wp_enqueue_script( 'rindou-js', get_template_directory_uri() . '/rindou.js', array('jquery'), NULL, false );
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
}
add_action( 'wp_enqueue_scripts', 'rindou_scripts' );

//エディタCSS
function rindou_theme_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
add_action( 'after_setup_theme', 'rindou_theme_add_editor_styles' );

//最初の記事
function isFirst() {
global $wp_query;
    return ($wp_query->current_post === 0);
}

//コンテンツはば
if ( ! isset( $content_width ) ) $content_width = 1024;

// 字数を指定する
function rindou_excerpt_mblength($length) {
    return 50;
}
add_filter('excerpt_mblength', 'rindou_excerpt_mblength');

// 本文からの抜粋末尾の文字列を指定する
function rindou_excerpt_more($more) {
	return '･･･';
}
add_filter('excerpt_more', 'rindou_excerpt_more');

//各種設定
function rindou_setup_theme() {
	//タイトル	
    add_theme_support( 'title-tag' );
    //rss2
	add_theme_support( 'automatic-feed-links' );
	//html5でマークアップ
	add_theme_support( 'html5', array( 'comment-list', 'comment-form', 'search-form', 'gallery', 'caption' ) );
	//アイキャッチ
	add_theme_support( 'post-thumbnails' ); 
    add_image_size( 'hitmag-featured', 735, 400, true );
	//メニュー
	register_nav_menus ( array (
		'primary' => 'グローバルメニュー' ,
		'secondary' => 'フッターメニュー'
	));
}
add_action( 'after_setup_theme', 'rindou_setup_theme' );

//ウィジェット
function rindou_widgets_init() {
	register_sidebar( array(
		'name'          => 'サイドバーウィジェット',
		'id'            => 'sidebar-widget',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget_title">',
		'after_title'   => '</h4>',
	) );
}
add_action( 'widgets_init', 'rindou_widgets_init' );

//パンクズナビ　http://webdesignrecipes.com/wordpress-breadcrumb-list-tips/
function breadcrumb(){
	global $post;
	$str ='';
    if(is_front_page()){
        $str.= '<ul><li>HOME</li></ul>';
    }
	if(!is_front_page()&&!is_admin()){ /* !is_admin は管理ページ以外という条件分岐 */
		$str.= '<ul>';
		$str.= '<li><a href="'. home_url() .'/">HOME</a></li>';
		if(is_search()){
			$str.='<li>「'. get_search_query() .'」で検索した結果</li>';
		} elseif(is_tag()){
			$str.='<li>タグ : '. single_tag_title( '' , false ). '</li>';
		} elseif(is_404()){
			$str.='<li>404 Not found</li>';
		} elseif(is_date()){
			if(get_query_var('day') != 0){
				$str.='<li><a href="'. get_year_link(get_query_var('year')). '">' . get_query_var('year'). '年</a></li>';
				$str.='<li><a href="'. get_month_link(get_query_var('year'), get_query_var('monthnum')). '">'. get_query_var('monthnum') .'月</a></li>';
				$str.='<li>'. get_query_var('day'). '日</li>';
			} elseif(get_query_var('monthnum') != 0){
				$str.='<li><a href="'. get_year_link(get_query_var('year')) .'">'. get_query_var('year') .'年</a></li>';
				$str.='<li>'. get_query_var('monthnum'). '月</li>';
			} else {
				$str.='<li>'. get_query_var('year') .'年</li>';
			}
		} elseif(is_category()) {
			$cat = get_queried_object();
			if($cat -> parent != 0){
				$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
				foreach($ancestors as $ancestor){
					$str.='<li><a href="'. get_category_link($ancestor) .'">'. get_cat_name($ancestor) .'</a></li>';
				}
			}
			$str.='<li>'. $cat -> name . '</li>';
		} elseif(is_author()){
			$str .='<li>投稿者 : '. get_the_author_meta('display_name', get_query_var('author')).'</li>';
		} elseif(is_page()){
			if($post -> post_parent != 0 ){
				$ancestors = array_reverse(get_post_ancestors( $post->ID ));
				foreach($ancestors as $ancestor){
					$str.='<li><a href="'. get_permalink($ancestor).'">'. get_the_title($ancestor) .'</a></li>';
	
				}
			}
			$str.= '<li>'. $post -> post_title .'</li>';
			
		} elseif(is_attachment()){
			if($post -> post_parent != 0 ){
				$str.= '<li><a href="'. get_permalink($post -> post_parent).'">'. get_the_title($post -> post_parent) .'</a></li>';

			}
			$str.= '<li>' . $post -> post_title . '</li>';
		} elseif(is_single()){
			$categories = get_the_category($post->ID);
			$cat = $categories[0];
			if($cat -> parent != 0){
				$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
				foreach($ancestors as $ancestor){
					$str.='<li><a href="'. get_category_link($ancestor).'">'. get_cat_name($ancestor). '</a></li>';
				}
			}
			$str.='<li><a href="'. get_category_link($cat -> term_id). '">'. $cat-> cat_name . '</a></li>';
			$str.= '<li>'. $post -> post_title .'</li>';
		} else{
			$str.='<li>'. wp_title('', false) .'</li>';
		}
		$str.='</ul>';
	}
	echo $str;
}